View Issue Details

IDProjectCategoryView StatusLast Update
0001515Common[All Projects] Generalpublic2016-07-15 16:24
ReporterXenosAssigned ToXenos 
PrioritynormalSeverityfeatureReproducibilityN/A
Status CloseResolutionfixed 
Product Version1.0.4 
Target VersionFixed in Version1.5.0 
Summary0001515: Trouver une meilleure archi pour la session PHP
DescriptionActuellement, l'objet de session PHP est un conteneur type tableau: n'importe quoi peut aller dans n'importe quelle clef.

Il me faut une meilleure archi, mieux structurée, capable de détecter les erreurs "à la compile" et non au pur runtime.
TagsNo tags attached.
Attach Tags

Relationships

related to 0001153 CloseXenos VariiSpace Créer le système de compte de jeu, avec la vue associée 

Activities

Xenostom

Xenostom

2016-06-17 17:25

developer   ~0002001

De plus, il faut que je sois capable de gérer les déphasages entre la session et la BDD (genre si un joueur se connecte, sa session retient son ID de joueur, puis si le joueur est viré de la BDD, cet ID ne référence plus rien, donc, ça coince...)
Xenos

Xenos

2016-07-15 16:19

administrator   ~0002091

Last edited: 2016-07-15 16:22

Chaque projet va avoir sa propre classe représentant la session utilisateur pour ce projet. Cette classe héritera du PhpSession object (FW) et lui ajoutera ses getter et setters correspondant à ce que la session peut contenir.

Issue History

Date Modified Username Field Change
2016-05-31 17:19 Xenos New Issue
2016-05-31 17:19 Xenos Status New => Understood
2016-05-31 17:19 Xenos Relationship added related to 0001153
2016-06-06 22:08 AutoUpdater Assigned To => Xenos
2016-06-06 22:08 AutoUpdater Status Understood => Resolved
2016-06-06 22:08 AutoUpdater Resolution open => fixed
2016-06-06 22:09 AutoUpdater Fixed in Version => 1.4.0
2016-06-06 22:10 Xenos Status Resolved => Accepted
2016-06-17 17:25 Xenostom Note Added: 0002001
2016-07-15 16:01 Xenos Status Accepted => In progress
2016-07-15 16:19 Xenos Note Added: 0002091
2016-07-15 16:19 Xenos Status In progress => Ready
2016-07-15 16:22 AutoUpdater Status Ready => Resolved
2016-07-15 16:22 AutoUpdater Fixed in Version 1.4.0 => 1.5.0
2016-07-15 16:24 Xenos Status Resolved => Close